Name:           recastnavigation
Version:        1.6.0
Release:        1%{?dist}
Summary:        Recast Navigation is a state of the art navigation system for games and 3D applications.

License:        zlib
URL:            https://github.com/recastnavigation/recastnavigation
Source0:        https://github.com/recastnavigation/recastnavigation/archive/refs/tags/v%{version}.tar.gz

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: glibc-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: SDL2-devel
BuildRequires: zlib-devel
BuildRequires: libstdc++-devel

# Disable debug source package to avoid issues with empty debugsourcefiles.list
%define debug_package %{nil}

%description
Recast Navigation is a state of the art navigation system for games and 3D applications.
It is a set of tools and libraries that can be used to generate navigation meshes and
perform pathfinding in 3D environments.

%prep
%setup -q
sed -i -e 's@cmake_minimum_required(VERSION 3.1)@cmake_minimum_required(VERSION 3.5)@' CMakeLists.txt

%build
%cmake -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=ON
%cmake_build

%install
%cmake_install

%files
%{_libdir}/libRecast.so
%{_libdir}/libDetour.so
%{_libdir}/libDetourCrowd.so
%{_libdir}/libDetourTileCache.so
%{_libdir}/cmake/recastnavigation/recastnavigation-config-version.cmake
%{_libdir}/cmake/recastnavigation/recastnavigation-config.cmake
%{_libdir}/cmake/recastnavigation/recastnavigation-targets-release.cmake
%{_libdir}/cmake/recastnavigation/recastnavigation-targets.cmake
%{_libdir}/libDebugUtils.so
%{_libdir}/libDebugUtils.so.1
%{_libdir}/libDebugUtils.so.1.6.0
%{_libdir}/libDetour.so.1
%{_libdir}/libDetour.so.1.6.0
%{_libdir}/libDetourCrowd.so.1
%{_libdir}/libDetourCrowd.so.1.6.0
%{_libdir}/libDetourTileCache.so.1
%{_libdir}/libDetourTileCache.so.1.6.0
%{_libdir}/libRecast.so.1
%{_libdir}/libRecast.so.1.6.0
%{_libdir}/pkgconfig/recastnavigation.pc
%{_bindir}/Meshes/dungeon.obj
%{_bindir}/Meshes/nav_test.obj
%{_bindir}/Meshes/undulating.obj
%{_bindir}/RecastDemo
%{_bindir}/TestCases/movement_test.txt
%{_bindir}/TestCases/nav_mesh_test.txt
%{_bindir}/TestCases/raycast_test.txt
%{_prefix}/include/recastnavigation/
%{_prefix}/bin/DroidSans.ttf


%changelog
* Thu Feb 27 2025 Sayan Paul <saypaul@redhat.com> - 1.6.0-1
- Initial package for RecastNavigation 1.6.0